petsc-3.7.7 2017-09-25
Report Typos and Errors

# PetscFVCellGeom

Data structure (C struct) for storing information about cell geometry for a finite volume method.

### Synopsis

    typedef struct {
      PetscReal centroid[3];
      PetscReal volume;
    } PetscFVCellGeom;

Note: The components are

     PetscReal   centroid[3] - The cell centroid

     PetscReal   volume      - The cell volume

### See Also

DMPlexComputeGeometryFVM()

Level:beginner
Location:src/dm/dt/../../../include/petscfvtypes.h
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages